org.apache.ignite.internal.processors.cache.distributed.dht.preloader

## Class IgniteDhtPartitionsToReloadMap

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.distributed.dht.preloader.IgniteDhtPartitionsToReloadMap

All Implemented Interfaces:
  Serializable

    public class IgniteDhtPartitionsToReloadMap
    extends Object
    implements Serializable

Partition reload map.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteDhtPartitionsToReloadMap()`

### Method Summary

Methods
`Set<Integer>` `get(UUID nodeId, int cacheId)`
`void` `put(UUID nodeId, int cacheId, int partId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgniteDhtPartitionsToReloadMap

    public IgniteDhtPartitionsToReloadMap()

### Method Detail

#### get

    public Set<Integer> get(UUID nodeId,
                   int cacheId)

Parameters:
  `nodeId` - Node ID.
  `cacheId` - Cache ID.
Returns:
  Collection of partitions to reload.

#### put

    public void put(UUID nodeId,
           int cacheId,
           int partId)

Parameters:
  `nodeId` - Node ID.
  `cacheId` - Cache ID.
  `partId` - Partition ID.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017